MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024012Community[OCCT] OCCT:Modeling Algorithmspublic2013-06-05 09:242018-11-23 01:14
Reportershlkl99 
Assigned Toifv 
PrioritynormalSeverityminor 
StatusclosedResolutionopen 
PlatformwindowsOSwindowsOS Version7
Product Version[OCCT] 6.6.0 
Target VersionFixed in Version[OCCT] 7.0.0 
Summary0024012: problem with BRepAlgo_NormalProjection
Descriptionwhen i used BRepAlgo_NormalProjection,it have some odd result
Steps To Reproduce1. download the face.igs and line.igs
2. use like this
 BRepAlgo_NormalProjection anormpro(m_Face1);
    anormpro.Add(m_Edge);
    anormpro.SetDefaultParams();

    //anormpro.Compute3d();
    //anormpro.SetLimit();

    anormpro.Build();

    if (anormpro.IsDone())
    {
        TopoDS_Shape rshape = anormpro.Projection();
        m_pMainWindow->drawShape(rshape,Quantity_NOC_YELLOW);
    }
3. look at the result shape
TagsNo tags attached.
Test case numberbugs modalg_5 bug24012
Attached Filesrar file icon bug.rar (18,037 bytes) 2013-06-05 09:24
png file icon 1.PNG (8,842 bytes) 2013-06-05 09:25
png file icon 2.PNG (9,407 bytes) 2013-06-05 09:25

- Relationships
related to 0027620verifiedapn Open CASCADE Test perf bop boxholes crashes DRAW 

-  Notes
(0027692)
bugmaster (administrator)
2014-01-29 16:52

To reproduce problem creation of testing case is required
(0027886)
apn (administrator)
2014-02-13 13:19

QA command (OCC24012) and test case bugs/modalg_5/bug24012 were added to master.
(0071607)
mkv (tester)
2017-10-18 18:01

Not reproduced on the current master. Fixed in OCCT7.0.0.

- Issue History
Date Modified Username Field Change
2013-06-05 09:24 shlkl99 New Issue
2013-06-05 09:24 shlkl99 Assigned To => ifv
2013-06-05 09:24 shlkl99 File Added: bug.rar
2013-06-05 09:25 shlkl99 File Added: 1.PNG
2013-06-05 09:25 shlkl99 File Added: 2.PNG
2014-01-29 16:52 bugmaster Note Added: 0027692
2014-01-29 16:52 bugmaster Assigned To ifv => apn
2014-01-29 16:52 bugmaster Status new => assigned
2014-02-13 13:19 apn Note Added: 0027886
2014-02-13 13:19 apn Test case number => bugs modalg_5 bug24012
2014-02-13 13:19 apn Assigned To apn => ifv
2017-10-18 18:01 mkv Note Added: 0071607
2017-10-18 18:01 mkv Status assigned => closed
2017-10-18 18:01 mkv Fixed in Version => 7.0.0
2018-11-23 01:14 abv Relationship added related to 0027620


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker